com.sun.j3d.utils.scenegraph.io

## Interface SceneGraphStateProvider

-     public interface SceneGraphStateProvider

  This interface allows developers to provide their own custom IO control for subclasses of SceneGraphObjects. As the Scene Graph is being saved any SceneGraphObject in the graph that implements this interface must provide it's state class which is responsible for saving the entire state of that object.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends com.sun.j3d.utils.scenegraph.io.state.javax.media.j3d.SceneGraphObjectState>` | `getStateClass()` Returns the State class

- - ### Method Detail

    - #### getStateClass

          java.lang.Class<? extends com.sun.j3d.utils.scenegraph.io.state.javax.media.j3d.SceneGraphObjectState> getStateClass()

      Returns the State class
      Returns:
        Class that will perform the IO for the SceneGraphObject

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.